# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.connector_api import ConnectorApi  # noqa: E501
from swagger_client.rest import ApiException


class TestConnectorApi(unittest.TestCase):
    """ConnectorApi unit test stubs"""

    def setUp(self):
        self.api = ConnectorApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_connector_connection_test(self):
        """Test case for connector_connection_test

        Connector connection test  # noqa: E501
        """
        pass

    def test_connectors_connector_id_databases_database_tables_get(self):
        """Test case for connectors_connector_id_databases_database_tables_get

        Get connector tables  # noqa: E501
        """
        pass

    def test_connectors_connector_id_databases_get(self):
        """Test case for connectors_connector_id_databases_get

        Get connector databases  # noqa: E501
        """
        pass

    def test_connectors_connector_id_get(self):
        """Test case for connectors_connector_id_get

        Get one connector  # noqa: E501
        """
        pass

    def test_connectors_connector_id_paths_get(self):
        """Test case for connectors_connector_id_paths_get

        Connector files and paths  # noqa: E501
        """
        pass

    def test_remove_connector(self):
        """Test case for remove_connector

        Remove connector  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
